import { NostrClient } from '@/class/client';
import { Cipher } from '@/class/cipher';
import { EventEmitter } from '@/class/emitter';
import { Subscription } from '@/class/subscription';
import { SignedEvent } from '@/class/event/SignedEvent';
import { AckEnvelope, EventDraft, Json, TopicOptions } from '@/schema/types';
export declare class TopicEmitter extends EventEmitter<{
    'ready': [TopicEmitter];
    [k: string]: any[];
}> {
    private readonly _topic;
    readonly client: NostrClient;
    readonly sub: Subscription;
    readonly encrypted: boolean;
    constructor(client: NostrClient, topic: string, options?: TopicOptions);
    get cipher(): Promise<Cipher>;
    get topic(): Promise<string>;
    _eventHandler(event: SignedEvent): Promise<void>;
    _updateHook(): Promise<void>;
    send(eventName: string, payload: Json, template?: EventDraft): Promise<AckEnvelope | undefined>;
}
//# sourceMappingURL=topic.d.ts.map