type TransformReturn<T, C> = (data: T, context: C, err?: errorHandler) => Promise<TransformOutput<T>>;
export type Middleware<T, C> = (input: T, context: C) => Promise<T | null> | T | null;
export type errorHandler = (...args: unknown[]) => void;
export interface TransformOutput<T> {
    ok: boolean;
    err: unknown[];
    data: T;
}
export declare class Transformer<T, C> {
    readonly context: C;
    readonly methods: Array<Middleware<T, C>>;
    catcher?: errorHandler;
    constructor(context: C);
    use(...fn: Array<Middleware<T, C>>): number;
    apply(data: T): Promise<TransformOutput<T>>;
    catch(catcher: errorHandler): void;
}
export declare function pipe<T, C>(...fns: Array<Middleware<T, C>>): TransformReturn<T, C>;
export {};
//# sourceMappingURL=transformer.d.ts.map